PDA

View Full Version : PSP Questions for PSP Owners/Hackers


Pages : [1] 2

six_storm
06-01-07, 02:59 PM
Ok, so I'm getting a PSP from a buddy (PSP Entertainment Pack + 1GB Stick + 1GB Stick of RAM for my iMac = $165) and I'm kinda interested in hacking the PSP. However, he is very original in that he upgraded his PSP to version 3.00. I know there is not possible way to downgrade WITHOUT a unpatched copy of GTA:LCS, but I still had some questions.

Besides the main/basic functionality of the PSP, I want to run emulators and customize a few things on the XMB, mainly just the background image and PSP "loading screen animations/videos" (hope that made sense). What all would I need to do this? Could I do this with the current 3.00 firmware or would I HAVE to downgrade and upgrade to a custom firmware?

And if I have to downgrade, anyone got an unpatched copy of GTA:LCS I could borrow for a day? :D Thanks for your time in advance guys.

spaceigg
06-01-07, 03:44 PM
hi, I got an unpatched version from my local blockbuster...
about what you need, well there is a lot of stuff out there there is only one webiste that comes to mind but it's in spanish if you want to give it a try its www.pspstrike.com I've found a bunch of very good sites googling... sorry I can't help you any further i am at work.. :(

Shamrock
06-01-07, 09:15 PM
You don't need GTA, to downgrade anymore. If you have the "old" mobo for it (I think it's something like IO-082).

THey have a downgrader to 1.50, then you can upgrade again, to version 3.40 OE (open edition, by DarkAlex)

I go here for all my PSP needs.

http://pspupdates.qj.net/

They even tell you how to tell if you have the old style mobo.

six_storm
06-01-07, 10:53 PM
You don't need GTA, to downgrade anymore. If you have the "old" mobo for it (I think it's something like IO-082).

THey have a downgrader to 1.50, then you can upgrade again, to version 3.40 OE (open edition, by DarkAlex)

I go here for all my PSP needs.

http://pspupdates.qj.net/

They even tell you how to tell if you have the old style mobo.

Sorry to tell ya, but you NEED a copy of GTA . . unless I'm missing something here . . . :D

six_storm
06-02-07, 09:09 PM
EDIT: Nevermind, you have to be able to run homebrew to run an emulator. Damn . . . looks like I'll have to scrap around for a used older copy of GTA:LCS in order to downgrade. Argghh . . .

|MaguS|
06-02-07, 09:33 PM
Just update to 3.5, get a PS3 and stream all your videos!

I love taking my PSP to work and watching my anime. Its funny, Im streaming from the PS3 thats Streaming from my PC. :D

Shamrock
06-02-07, 11:11 PM
Sorry to tell ya, but you NEED a copy of GTA . . unless I'm missing something here . . . :D

No, you don't. All you need is a "default" 1.50 Eboot. Creating the 3.40OE DATA.DXAR, then use pspupdate's "downgrade utility".

I found everything you need, including instructions.
If you follow this to the letter, it's easy, but you HAVE TO MAKE SURE, you have mobo
http://forums.qj.net/f-psp-firmware-discussion-253/t-official-340-oe-a-and-303-oe-c-installation-guide-faq-and-support-thread-84905.html

I used it downgrading from 2.81 to 1.50, then up to 3.03. But DarkAlex does have a 3.40 OE.

http://pspupdates.qj.net/index.php?pg=49&aid=81417

3.03 OE installation video
http://pspupdates.qj.net/PSP-custom-firmware-3-30-OE-A-installation-video/pg/49/aid/89657


All you need is the 1.50 eboot dump, 3.03 eboot dump (which requires official 3.03 upgrade), and the downgrader utility.

I don't think this has been tried on anything above 3.03.

You don't even need GTA for homebrew anymore. Just use Devhook. I know this works, as I have 3.03 OE, and I don't own GTA.

YOU DO THIS AT YOUR OWN RISK!, nobody will take responsibility if your PSP bricks. And I post nothing illegal here. Find that "default" 1.50 dump, on your own.

Shamrock
06-02-07, 11:12 PM
Just update to 3.5, get a PS3 and stream all your videos!

I love taking my PSP to work and watching my anime. Its funny, Im streaming from the PS3 thats Streaming from my PC. :D

Some of us aren't willing to fork over $599 for a PS3.

six_storm
06-03-07, 12:40 AM
No, you don't. All you need is a "default" 1.50 Eboot. Creating the 3.40OE DATA.DXAR, then use pspupdate's "downgrade utility".

I found everything you need, including instructions.
If you follow this to the letter, it's easy, but you HAVE TO MAKE SURE, you have mobo
http://forums.qj.net/f-psp-firmware-discussion-253/t-official-340-oe-a-and-303-oe-c-installation-guide-faq-and-support-thread-84905.html

I used it downgrading from 2.81 to 1.50, then up to 3.03. But DarkAlex does have a 3.40 OE.

http://pspupdates.qj.net/index.php?pg=49&aid=81417

3.03 OE installation video
http://pspupdates.qj.net/PSP-custom-firmware-3-30-OE-A-installation-video/pg/49/aid/89657


All you need is the 1.50 eboot dump, 3.03 eboot dump (which requires official 3.03 upgrade), and the downgrader utility.

I don't think this has been tried on anything above 3.03.

You don't even need GTA for homebrew anymore. Just use Devhook. I know this works, as I have 3.03 OE, and I don't own GTA.

YOU DO THIS AT YOUR OWN RISK!, nobody will take responsibility if your PSP bricks. And I post nothing illegal here. Find that "default" 1.50 dump, on your own.

First of all, if you read that first link right, it says that you have to have 2.71 or 2.71+CUSTOMFIRMWARE. If you have anything higher than the original 2.71 updated firmware, you must have GTA:LCS. I'm sure that if there were a legit way to downgrade 3.00 to 1.5, it would be all over the net. I think I'll wait on that, hopefully it won't take a long time for someone to figure it out (or for me to get my hands on an unpatched version of GTA:LCS). Thanks for trying to find the info though, I appreciate it.

Shamrock
06-03-07, 01:58 AM
oopsie, nvm...I forgot you have 3.00...you are correct :(

I feel your pain. The only way you'll get GTA:LCS unpatched, is from Ebay.

with 3.00 you "should" be able to use custom wallpaper.

six_storm
06-03-07, 09:15 AM
oopsie, nvm...I forgot you have 3.00...you are correct :(

I feel your pain. The only way you'll get GTA:LCS unpatched, is from Ebay.

with 3.00 you "should" be able to use custom wallpaper.

Thanks for the help, I appreciate it. I know a guy from church that has had a PSP and GTA:LCS for a long time so I'm going to ask him today and see if he still has it. If not, I'm going to have to try my luck at EB Games or Gamestop. But hopefully, there will be another way to downgrade from 3.03 soon. Thanks again man!

Shamrock
06-03-07, 09:09 PM
Whatever you do, DO NOT flash it to official 3.40 or above. It patches the mobo's BIOS, and you can never run homebrew again.

six_storm
06-03-07, 11:36 PM
Whatever you do, DO NOT flash it to official 3.40 or above. It patches the mobo's BIOS, and you can never run homebrew again.

Sounds good. I won't be touching the firmware now until there is a guaranteed way to downgrade from 3.00 . . . unless I can hunt down an unpatched GTA, then I would have to upgrade to 3.03, then downgrade. Thanks for the help, we'll just have to see what happens.

six_storm
06-04-07, 02:42 PM
Well, I tried my luck at every EB and Gamestop around, only to be disappointed. I tried to find an unpatched copy of GTA:LCS but it was a no go. I actually bought it plus Lumines and Loco Roco (EB/GS is having a good sale on used games) so I guess I'll have to hit up another town to trade GTA in and try to find an unpatched copy.

|MaguS|
06-04-07, 02:49 PM
have you tried ebay?

six_storm
06-04-07, 03:37 PM
have you tried ebay?

I don't feel like paying $45+ for a copy lol.

six_storm
06-04-07, 04:09 PM
I did a little more research and really, there's no way to tell. A lot of people are saying (even pics on eBay) that the UMD disc has the brown background and gun. The only real way to tell is to pop it in the PSP and see if it has the 2.0 upgrade on it. Too bad my PSP doesn't get here until Weds.

Shamrock
06-04-07, 08:46 PM
That isn't the true way of telling if it's unpatched. I think the real way is by the serial/model # on the disc.

spaceigg
06-04-07, 09:26 PM
true is the serial number and like I said you to blockbuster or gamecrazy try to find a copy there..

six_storm
06-04-07, 09:38 PM
true is the serial number and like I said you to blockbuster or gamecrazy try to find a copy there..

According to a lot of tutorials on YouTube and other sites, I have the right copy by serial number. Guess we will see on Weds if I have the right version or not . . . I really just want to use some emulators!!!!!!

six_storm
06-06-07, 07:06 PM
Ok, I got my PSP today and I love it! I was lucky enough to grab an older copy of GTA:LCS and downgraded to 1.5, then to 3.04 OE-A (latest tutorial I could find). Now here's the kicker. One of the main purposes of buying this was for emulation. I d/led SNES9X and placed it in PSP/GAME/ folder and I see it on the PSP. However, it will give me an error message saying it can't run the game. Any suggestions?

six_storm
06-07-07, 10:05 PM
So I fixed a few of my own problems but this one is a toughy. I d/led some PSP demos and installed them in to PSP/GAME, like you're supposed to do. The gameboot screen displays, fades, then the PSP shuts off. WTF? I'm running 3.40OE-A. Google isn't helping me at all.

wollyka
06-10-07, 04:33 PM
Hmm, maybe try putting them in the PSP/Game340 folder? (if my memory serves me right?)

Shamrock
06-10-07, 09:12 PM
since you are running OE edition, you should put "new" demos and games in the game340 folder. When you run homebrew, you put them in the game150 folder.

spaceigg
06-10-07, 09:27 PM
so the emulators should go in the 150 folder ? right?